SDRC(1)

NAME
sdrc - compile an sl shader.

SYNOPSIS
sdrc [ options... ] [ name.sl ... ]

DESCRIPTION
Sdrc Compiles renderman SL shaders to Pixie sdr code for use with rndr.

The main documentation is maintained in html form and should be included with your distribution in the html or doc directories.

OPTIONS

-I<PATH>
    Add <PATH> to the list of directories to search for the preprocessor (for includes).

-D<SYMBOL>
    Define <SYMBOL> for the preprocessor. The name PIXIE is defined by default.

-o <OUTNAME>
    Output to <OUTNAME> regardless of shader names / input file name.

-nw Suppress warnings.

-ne Suppress errors.

-ri Display resolution info for names and functions.

-v  Display version.

--help
    Display help.

ENVIRONMENT

PATH
    Searched for includes

INCLUDE
    Also searched for includes

PIXIEHOME
    Used to locate dsos.

SEE ALSO
rndr(1), texmake(1), show(1), sdrinfo(1)

BUGS
See the sourceforge forums / tracker at http://pixie.sourceforge.net